Get Conversation History
In this page we show you how to get the conversation history.
curl --location 'channel360.co.za/v1.1/org/{{orgId}}/whatsapp/subscriber/{{number}}/conversation/history'Get Conversation History
API request for subscriber history
Path parameters
orgIdstringRequired
destinationIdstringRequired
Responses
200
Successfully got subscriber history
application/json
get/v1.1/org/{orgId}/whatsapp/subscriber/{destinationId}/conversation/history
GET /v1.1/org/{orgId}/whatsapp/subscriber/{destinationId}/conversation/history HTTP/1.1
Host: www.channel360.co.za
Accept: */*
200
Successfully got subscriber history
{
"conversation": {
"_id": "edf85dfg2h82d5f2d93s",
"appMakers": [
"2wm6nj7i8d09fg8h45c7"
],
"appUsers": [
"1ac7d0552c1d39677a5188d0"
],
"unreadCount": 0,
"messages": [
{
"source": {
"type": "notification",
"id": "052hbn85-8jk6-8k5l-96yu-15gh63er81qn"
},
"role": "appMaker",
"authorId": "20er54fy69nm43hjtd85uo",
"type": "text",
"avatarUrl": "https://www.gravatar.com/avatar/00000000000000000000000000000000.png?s=200&d=mm",
"text": "Hello World",
"received": 17052641852,
"_id": "253kmlj8d51520dfgvs523"
}
]
}
}Last updated
Was this helpful?